test:
	test -s solution

# BEGIN
setup:
	ansible-playbook --vault-password-file vault-password -t setup ansible/playbook.yml

deploy:
	ansible-playbook -i ansible/hosts --vault-password-file vault-password -t deploy --ssh-extra-args "-F ssh_config" ansible/playbook.yml

ansible-install:
	ansible-galaxy role install -r ansible/requirements.yml
	ansible-galaxy collection install -r ansible/requirements.yml

terraform-init:
	terraform -chdir=terraform init

terraform-destroy:
	terraform -chdir=terraform destroy

terraform-plan:
	terraform -chdir=terraform plan

vault-file-all = ansible/group_vars/all/vault.yml

ansible-encrypt:
	ansible-vault encrypt $(vault-file-all) --vault-password-file vault-password

ansible-decrypt:
	ansible-vault decrypt $(vault-file-all) --vault-password-file vault-password

ansible-view-vault:
	ansible-vault view $(vault-file-all) --vault-password-file vault-password
# END
